# Class StyledString.Styler

java.lang.Object
org.eclipse.jface.viewers.StyledString.Styler

Enclosing class:
  `StyledString`

public abstract static class StyledString.Styler extends Object
A styler will be asked to apply its styles to one ore more ranges in the `StyledString`.

Since:
  3.4

## Constructor Summary

Constructors
Constructor
Description
`Styler()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`applyStyles(TextStyle textStyle)`
Applies the styles represented by this object to the given textStyle.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Styler

public Styler()

## Method Details

### applyStyles

public abstract void applyStyles(TextStyle textStyle)
Applies the styles represented by this object to the given textStyle.

Parameters:
  `textStyle` - the `TextStyle` to modify